Public Member Functions | Public Attributes | List of all members
libebook::LRFMetadata Struct Reference

`#include <LRFTypes.h>`

## Public Member Functions
| LRFMetadata ()

## Public Attributes
LRFBookInfo | bookInfo
LRFDocInfo | docInfo
boost::optional< std::string > | keyword

## Constructor & Destructor Documentation

## § LRFMetadata()

libebook::LRFMetadata::LRFMetadata | ( |  | ) |

## Member Data Documentation

## § bookInfo

LRFBookInfo libebook::LRFMetadata::bookInfo

## § docInfo

LRFDocInfo libebook::LRFMetadata::docInfo

## § keyword

boost::optional<std::string> libebook::LRFMetadata::keyword

The documentation for this struct was generated from the following files:

- LRFTypes.h
- LRFTypes.cpp